Name:           shim
Version:        0.1
Release:        2%{?dist}
Summary:        First-stage UEFI bootloader

License:        BSD
URL:            http://www.codon.org.uk/~mjg59/shim/
Source0:        http://www.codon.org.uk/~mjg59/shim/shim-%{version}.tar.bz2

BuildRequires: gnu-efi
Requires: gnu-efi

# Shim uses OpenSSL, but cannot use the system copy as the UEFI ABI is not
# compatible with SysV (there's no red zone under UEFI) and there isn't a
# POSIX-style C library.
# BuildRequires: OpenSSL

# Shim is only required on platforms implementing the UEFI secure boot
# protocol. The only one of those we currently wish to support is 64-bit x86.
# Adding further platforms will require adding appropriate relocation code.
ExclusiveArch:	x86_64

%description
Initial UEFI bootloader that handles chaining to a trusted full bootloader
under secure boot environments.


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -D shim.efi $RPM_BUILD_ROOT/boot/efi/EFI/redhat/shim.efi

%files
%doc
/boot/efi/EFI/redhat/shim.efi


%changelog
* Sat Jul 28 2012 Matthew Garrett <mjg@redhat.com> - 0.1-2
- fixes based on review comments

* Mon Jul 09 2012 Matthew Garrett <mjg@redhat.com> - 0.1-1
- initial release
